OpenCV Gstreamer Error

This forum is for topics dealing with problems with software specifically in the ARMv7h repo.

OpenCV Gstreamer Error

Postby schmidtbag » Tue Jul 10, 2018 6:52 pm

I'm writing a program using OpenCV that grabs a video feed from a network stream. It works perfectly fine on Debian (x86), but it fails on Arch, with the following error:
Code: Select all
(python:21141): GStreamer-CRITICAL **: 15:07:32.361: gst_element_get_state: assertion 'GST_IS_ELEMENT (element)' failed

From what I understand, OpenCV has to be compiled to use gstreamer. However, I find it hard to believe that Arch's isn't, because "gst-plugins-base" is one of the dependencies of the opencv package:
https://archlinuxarm.org/packages/armv7h/opencv

I tried opencv-git, but I get the same behavior. I can't seem to build opencv-gstreamer. I'd like to try downgrading, but it doesn't seem downgrader works with ARM.

Any suggestions?
schmidtbag
 
Posts: 25
Joined: Sat Nov 02, 2013 8:44 pm

Return to ARMv7h

Who is online

Users browsing this forum: No registered users and 2 guests